|  | overview |  | wiki |  | api reference |  | download

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator
Classes | Public Member Functions
gameplay::Theme::Style Class Reference

`#include <ThemeStyle.h>`

List of all members.

## Classes

class | Overlay

## Public Member Functions

Theme * | getTheme () const

## Detailed Description

Defines the style of a control.

A style can have padding and margin values, as well as overlays for each of the control's states. Each overlay in turn can reference other theme classes to determine the border, background, cursor, and image settings to use for a particular state, as well as color and font settings, etcetera.

## Member Function Documentation

Theme* gameplay::Theme::Style::getTheme | ( |  | ) | const

Get the theme this style belongs to.

Returns:
  The theme this style belongs to.

All Classes Functions Variables Typedefs Enumerations Enumerator